UbixOS V2 2.0

Macros | Functions
init.h File Reference
`#include "net/opt.h"`
Include dependency graph for init.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros
#define | LWIP_RC_DEVELOPMENT 0
#define | LWIP_RC_RELEASE 255
#define | LWIP_VERSION
#define | LWIP_VERSION_IS_DEVELOPMENT (LWIP_VERSION_RC == LWIP_RC_DEVELOPMENT)
#define | LWIP_VERSION_IS_RC ((LWIP_VERSION_RC != LWIP_RC_RELEASE) && (LWIP_VERSION_RC != LWIP_RC_DEVELOPMENT))
#define | LWIP_VERSION_IS_RELEASE (LWIP_VERSION_RC == LWIP_RC_RELEASE)
#define | LWIP_VERSION_MAJOR 2
#define | LWIP_VERSION_MINOR 0
#define | LWIP_VERSION_RC LWIP_RC_RELEASE
#define | LWIP_VERSION_REVISION 3
#define | LWIP_VERSION_STRING LWIP_VERSTR(LWIP_VERSION_MAJOR) "." LWIP_VERSTR(LWIP_VERSION_MINOR) "." LWIP_VERSTR(LWIP_VERSION_REVISION) LWIP_VERSION_STRING_SUFFIX
#define | LWIP_VERSION_STRING_SUFFIX ""
#define | LWIP_VERSTR(x) LWIP_VERSTR2(x)
#define | LWIP_VERSTR2(x) #x

## Functions
void | lwip_init (void)

## Detailed Description

lwIP initialization API

Definition in file init.h.

## Function Documentation

## ◆ lwip_init()

void lwip_init | ( | void |  | ) |

Initialize all modules. Use this in NO_SYS mode. Use tcpip_init() otherwise.

Definition at line 333 of file init.c.

References LWIP_ASSERT, LWIP_CONST_CAST, LWIP_UNUSED_ARG, mem_init(), memp_init(), netif_init(), PACKED_STRUCT_TEST_EXPECTED_SIZE, pbuf_init, stats_init, and sys_init().

Referenced by tcpip_init().

Here is the call graph for this function: